<script src="/js/highcharts/js/jquery.min.js" type="text/javascript"></script>  
<script type="text/javascript" src="/js/highcharts/js/highcharts.js"></script>
<script type="text/javascript" src="/js/highcharts/js/themes/gray.js"></script>

Interval: 
<select name="interval" id="interval">
  <?php foreach($rpid->intervals as $value){ ?>
	<option value="<?php echo $value?>" <?php if($value == $rpid->view->interval) echo "selected"; ?>><?php echo $value?></option>
  <?php } ?>	
</select>
&nbsp;
Timeshift (go back in time): <select name="timeback" id="timeback">
  <?php foreach($rpid->intervals as $value){ ?>
	<option value="<?php echo $value?>" <?php if($value == $rpid->view->timeback) echo "selected"; ?>><?php echo $value?></option>
  <?php } ?>	
</select>&nbsp;
<a class="button-small" href="#javascript" onclick="start();return false;" target="_blank"><?php echo _t("Reload Graph");?></a>
<br /><br />

<div id="chart-container-1" style="width: 100%; height: 400px;"></div>

<script type="text/javascript">
var highchartsOptions = Highcharts.setOptions(Highcharts.theme);  
             		
var chart;

function start(){
  //define the options
  var options = {

	chart: {
		renderTo: 'chart-container-1'
	},
	
	title: {
		text: 'Auswertungen Sense Hat'
	},
	
	subtitle: {
		text: 'Quelle: Raspberry Pi Sense Hat - Max2Play Python Script',
	},
	
	xAxis: {
		type: 'datetime'			
	},
	
	yAxis: [{ // left y axis
		title: {
			text: "Temperature °C / %RLF"
		},
		labels: {
			align: 'left',
			x: 3,
			y: 16,
			formatter: function() {
				return Highcharts.numberFormat(this.value, 0);
			}
		},
		showFirstLabel: false
	}, { // right y axis
		gridLineWidth: 0,
		opposite: true,
		title: {
			text: "Pressure in hPa"
		},
		labels: {
			align: 'right',
			x: -3,
			y: 16,
			formatter: function() {
				return Highcharts.numberFormat(this.value, 0);
			}
		},
		showFirstLabel: false
	}],
	
	/*legend: {
		align: 'left',
		verticalAlign: 'top',
		y: 20,
		floating: true,
		borderWidth: 0
	},*/
	
	tooltip: {
		shared: true,
		crosshairs: true
	},
			
	series: [{
		name: 'Humidity',
		lineWidth: 4,
		tooltip: {
            valueSuffix: ' %RLF'
        },
		marker: {
			radius: 4
		}
	}, {
		name: 'Temperture',
		yAxis: 0,
		lineWidth: 4,
		tooltip: {
            valueSuffix: ' °C'
        },		
		marker: {
			radius: 4
		}
	}, {
		name: 'Pressure',
		yAxis: 1,
		lineWidth: 4,
		tooltip: {
            valueSuffix: ' hPa'
        },
		marker: {
			radius: 4
		}
	}
	]
}

// Load data asynchronously using jQuery. On success, add the data
// to the options and initiate the chart.
// This data is obtained by exporting a GA custom report to TSV.
// http://api.jquery.com/jQuery.get/
jQuery.get('/plugins/rpisensehat/controller/Setup.php?graph=1&interval='+document.getElementById('interval').value+'&timeback='+document.getElementById('timeback').value, null, function(tsv) {
	var lines = [],
		listen = false,
		date,
		
		// set up the two data series
		humidity = [],
		temperature = [];
		pressure = [];
		
	try {
	// split the data return into lines and parse them
	tsv = tsv.split(/\n/g);
	jQuery.each(tsv, function(i, line) {

		// listen for data lines between the Graph and Table headers
		if (line == '' || line.charAt(0) == '#' || i < 2) {
			listen = false;
		}else{
			listen = true;
		}
		
		// all data lines start with a double quote
		if (listen) {
			line = line.split(/\t/);
			mydate = line[0].substring(0,10).split('-')
            mytime = line[0].substring(11,19).split(':')
            date = Date.UTC(mydate[0], parseInt(mydate[1])-1, parseInt(mydate[2]), mytime[0], mytime[1], mytime[2]) 
			
			humidity.push([
				date, 
				parseFloat(line[1].replace(',', ''), 10)
			]);
			temperature.push([
				date, 
				parseFloat(line[2].replace(',', ''), 10)
			]);
			pressure.push([
				date, 
				parseFloat(line[3].replace(',', ''), 10)
			]);
		}
	});
	} catch (e) { alert(e.message) }
	options.series[0].data = humidity;
	options.series[1].data = temperature;
	options.series[2].data = pressure;
	
	chart = new Highcharts.Chart(options);
  });	
}
$(document).ready(function() {
	start();
	
});

</script>